-- ------------------------------------------------------------------------------ --
--                                TradeSkillMaster                                --
--                          https://tradeskillmaster.com                          --
--    All Rights Reserved - Detailed license information included with addon.     --
-- ------------------------------------------------------------------------------ --

local TSM = select(2, ...) ---@type TSM
local Settings = TSM.Init("Service.Settings") ---@class Service.Settings
local Schema = TSM.Include("Service.SettingsClasses.Schema")
local DB = TSM.Include("Service.SettingsClasses.DB")



-- ============================================================================
-- Module Functions
-- ============================================================================

---Creates a new settings schema.
---@param version number The current version
---@param minVersion minVersion The minimum version
---@return SettingsSchema
function Settings.NewSchema(version, minVersion)
	return Schema.Create(version, minVersion)
end

---Loads a new settings DB.
---@param name string The name of the global table
---@param schema SettingsSchema The schema
---@return SettingsDB
---@return SettingsMigration
function Settings.NewDB(name, schema)
	return DB.Create(name, schema)
end
