-- ------------------------------------------------------------------------------ --
--                                TradeSkillMaster                                --
--                          https://tradeskillmaster.com                          --
--    All Rights Reserved - Detailed license information included with addon.     --
-- ------------------------------------------------------------------------------ --

local LibTSMWoW = select(2, ...).LibTSMWoW
local Addon = LibTSMWoW:Init("Util.Addon")



-- ============================================================================
-- Module Functions
-- ============================================================================

---Checks if an addon is installed.
---
---This function only checks if the addon is installed, not if it's enabled.
---@param name string The name of the addon
---@return boolean @Whether or not the addon is installed
function Addon.IsInstalled(name)
	return select(2, GetAddOnInfo(name)) and true or false
end

---Checks if an addon is currently enabled.
---@param name string The name of the addon
---@return boolean @Whether or not the addon is enabled
function Addon.IsEnabled(name)
	return GetAddOnEnableState(CHARACTER, name) == 2 and select(4, GetAddOnInfo(name)) and true or false
end
